Fine-tuning
List fine-tuning jobs
List your fine-tuning jobs, newest first, using cursor pagination.
GET
/
v1
/
fine-tuning
/
jobs
List fine-tuning jobs
curl --request GET \
--url https://console.sqwish.ai/v1/fine-tuning/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.sqwish.ai/v1/fine-tuning/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.sqwish.ai/v1/fine-tuning/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"dataset_id": "<string>",
"model": "<string>",
"method": "sft",
"hyperparameters": {
"steps": 123,
"learning_rate": 123,
"lora_rank": 123,
"seed": 123,
"checkpoint_every": 123,
"kl_coefficient": 123,
"gradient_accumulation": 123,
"max_prompt_tokens": 123
},
"validation_fraction": 123,
"model_name": "<string>",
"parent": "<string>",
"replay": 123,
"status": "queued",
"created_at": 123,
"updated_at": 123,
"attempts": 123,
"output_model": "<string>",
"metrics": {},
"error": "<string>",
"progress": {},
"base_model": "<string>",
"base_revision": "<string>",
"base_id": "<string>",
"initialization": {},
"base_artifact_sha256": "<string>",
"compute_dtype": "<string>",
"layout": "<string>",
"limits": {},
"full_spec_sha256": "<string>",
"split": {},
"lineage": {},
"price_cents": 123
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}Authorizations
Create an API key in the console. Required when accounts are enabled.
Query Parameters
Required range:
1 <= x <= 200Maximum string length:
64Available options:
queued, running, cancelling, succeeded, failed, cancelled Maximum string length:
64List fine-tuning jobs
curl --request GET \
--url https://console.sqwish.ai/v1/fine-tuning/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.sqwish.ai/v1/fine-tuning/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.sqwish.ai/v1/fine-tuning/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"dataset_id": "<string>",
"model": "<string>",
"method": "sft",
"hyperparameters": {
"steps": 123,
"learning_rate": 123,
"lora_rank": 123,
"seed": 123,
"checkpoint_every": 123,
"kl_coefficient": 123,
"gradient_accumulation": 123,
"max_prompt_tokens": 123
},
"validation_fraction": 123,
"model_name": "<string>",
"parent": "<string>",
"replay": 123,
"status": "queued",
"created_at": 123,
"updated_at": 123,
"attempts": 123,
"output_model": "<string>",
"metrics": {},
"error": "<string>",
"progress": {},
"base_model": "<string>",
"base_revision": "<string>",
"base_id": "<string>",
"initialization": {},
"base_artifact_sha256": "<string>",
"compute_dtype": "<string>",
"layout": "<string>",
"limits": {},
"full_spec_sha256": "<string>",
"split": {},
"lineage": {},
"price_cents": 123
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}